import { createApp } from 'vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import './styles/index.scss'
import App from './App.vue'
import '@/permission'
import router from './router/index'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import { store } from '@/store'
import { initMap } from './utils/map'
import '@/styles/font.scss'

const app = createApp(App)
initMap()
/* .use(store)*/
app.use(store).use(router).use(ElementPlus, {
  locale: zhCn
})
app.mount('#app')
